package logwire.core.bo.annotation;

import logwire.core.bo.object.BizObject;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * BO工厂类，用来创建BO或找到BO
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface BizObjectFactory {
    Class<? extends BizObject> type();
}
