package logwire.core.bo.operation.object;

import logwire.core.bo.annotation.ObjectOperationProvider;
import logwire.core.bo.annotation.Operation;
import logwire.core.bo.object.BizObject;

import java.util.Map;

//所有BO Object 默认Operation定义
@ObjectOperationProvider(type = BizObject.class)
public interface DefaultObjectOperationProvider<X extends BizObject> {
    @Operation(name = "save")
    void save();

    @Operation(name = "delete")
    void delete();

    @Operation(name = "update")
    void update(Map fields);
    // 更多操作定义
}